Subject: linux-next: build failure after merge of the net-next tree

From: Stephen Rothwell <[email-masked]>
Date: Thu, 4 Feb 2021 12:33:31 +1100

Hi all,

After merging the net-next tree, today's linux-next build (powerpc
ppc64_defconfig) failed like this:

ERROR: modpost: "ip6_dst_check" [vmlinux] is a static EXPORT_SYMBOL
ERROR: modpost: "ipv4_dst_check" [vmlinux] is a static EXPORT_SYMBOL
ERROR: modpost: "ipv4_mtu" [vmlinux] is a static EXPORT_SYMBOL
ERROR: modpost: "ip6_mtu" [vmlinux] is a static EXPORT_SYMBOL

Caused by commits

  f67fbeaebdc0 ("net: use indirect call helpers for dst_mtu")
  bbd807dfbf20 ("net: indirect call helpers for ipv4/ipv6 dst_check functions")

I have used the net-next tree from next-20210203 fot today.

-- 
Cheers,
Stephen Rothwell